babel-preset-es2015-nostrict

6.6.2 • Public • Published

babel-preset-es2015-nostrict

Babel preset for all es2015 plugins, without global 'use strict' statement.

Install

$ npm install --save-dev babel-preset-es2015-nostrict

Usage

Via .babelrc (Recommended)

.babelrc

{
  "presets": ["es2015-nostrict"]
}

Via CLI

$ babel script.js --presets es2015-nostrict 

Via Node API

require("babel-core").transform("code", {
  presets: ["es2015-nostrict"]
});

Readme

Keywords

none

Package Sidebar

Install

npm i babel-preset-es2015-nostrict

Homepage

babeljs.io/

Weekly Downloads

709

Version

6.6.2

License

MIT

Last publish

Collaborators

  • alexykot